Summary: 	A software decoder for DV format video.
Name: 		libdv
Version: 	0.99
Release: 	0.fdr.2.1
Epoch: 		0
License: 	GPL
Group: 		System Environment/Libraries
URL: 		http://libdv.sourceforge.net/
Source0: 	http://belnet.dl.sourceforge.net/sourceforge/libdv/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	glib-devel >= 0:1.2.4
BuildRequires:	gtk+-devel >= 0:1.2.4

%package	devel
Summary:	Development package for libdv
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%package	tools
Summary:	Basic tools to manipulate Digital Video streams
Group:		Applications/Multimedia
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description
The Quasar DV codec (libdv) is a software codec for DV video, the
encoding format used by most digital camcorders, typically those that
support the IEEE 1394 (a.k.a. FireWire or i.Link) interface. libdv was
developed according to the official standards for DV video: IEC 61834
and SMPTE 314M.

%description tools
This package contains some basic programs to display and encode
digital video streams. This programs use the Quasar DV codec (libdv),
a software codec for DV video, the encoding format used by most
digital camcorders, typically those that support the IEEE 1394
(a.k.a. FireWire or i.Link) interface.

%description devel
The Quasar DV codec (libdv) is a software codec for DV video, the
encoding format used by most digital camcorders, typically those that
support the IEEE 1394 (a.k.a. FireWire or i.Link) interface. 
This package contains development files for libdv.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYRIGHT ChangeLog TODO
%{_libdir}/libdv.so.*

%files tools
%defattr(-,root,root,-)
%doc README.*
%{_bindir}/dvconnect
%{_bindir}/encodedv
%{_bindir}/playdv
%{_mandir}/man1/encodedv.1*
%{_mandir}/man1/playdv.1*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/libdv.la
%{_libdir}/libdv.so
%{_libdir}/libdv.a
%{_libdir}/pkgconfig/libdv.pc
%{_includedir}/%{name}

%changelog
* Sun Apr 27 2003 Dams <anvil[AT]livna.org> 0:0.99-0.fdr.2
- Added post/postun scriptlets

* Fri Apr 25 2003 Dams <anvil[AT]livna.org> 
- Initial build.


